{% extends '@App/base.html.twig' %}

{% block body %}
    <table class="table" tabindex="0">
        <thead>
        <tr>
            <th>Username</th>
            <th>Roles</th>
            <th>Company</th>
            <th>Enable</th>
            <th>Actions</th>
        </tr>
        </thead>
        <tbody>
        {% for user in users %}
            <tr>
                <td>{{ user.username }}</td>
                <td>{{ user.roles|join(', ') }}</td>
                <td>{{ user.company ? user.company.name : '/' }}</td>
                <td>{{ user.enabled ? 'Enabled' : 'Disabled' }}</td>
                <td>
                    <a class="btn" href="{{ path('user_roles_edit', {userId: user.id}) }}">Edit roles</a>
                    <a class="btn" href="{{ path('user_company_edit', {userId: user.id}) }}">Link to company</a>
                    <a class="btn" href="{{ path('user_enable_edit', {userId: user.id, isEnable: (user.enabled ? 0 : 1)}) }}">{{ user.enabled ? 'Disable' : 'Enable' }} user</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="2">Il n'y a pas de sociétés</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}